中危 Puppet Enterprise 明文传输漏洞(CVE-2018-11749)

CVE编号

CVE-2018-11749

利用情况

暂无

补丁情况

官方补丁

披露时间

2018-08-25
漏洞描述
Puppet是美国Puppet实验室的一套基于客户端/服务器(C/S)架构的配置管理工具,它可用于管理配置文件、用户、cron任务、软件包、系统服务等。Puppet Enterprise是一个企业版。

Puppet Enterprise 2018.1.3版本、2017.3.9版本和2016.4.14版本中存在信息泄露漏洞,该漏洞源于在登录时,程序将用户凭证以明文的形式发送到LDAP服务器。远程攻击者可利用该漏洞获取信息。
解决建议
厂商已发布了漏洞修复程序,请及时关注更新:

https://puppet.com/security/cve/cve-2018-11749
受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
应用 puppet puppet * Up to
(including)
2016.4.14
运行在以下环境
应用 puppet puppet * From
(including)
2017.3.0
Up to
(including)
2017.3.9
运行在以下环境
应用 puppet puppet * From
(including)
2018.1.0
Up to
(including)
2018.1.3
阿里云评分
4.8
  • 攻击路径
    远程
  • 攻击复杂度
    复杂
  • 权限要求
    无需权限
  • 影响范围
    有限影响
  • EXP成熟度
    未验证
  • 补丁情况
    官方补丁
  • 数据保密性
    数据泄露
  • 数据完整性
    无影响
  • 服务器危害
    无影响
  • 全网数量
    N/A
CWE-ID 漏洞类型
CWE-319 敏感数据的明文传输
阿里云安全产品覆盖情况